DefaultRegistryBroker (Mule ESB 2.2.1 API)
Keywords: org.mule.registry.DefaultRegistryBroker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class DefaultRegistryBroker

    java.lang.Object
      org.mule.registry.AbstractRegistryBroker
          org.mule.registry.DefaultRegistryBroker

All Implemented Interfaces:
  Disposable, Initialisable, Registry, RegistryBroker

    public class DefaultRegistryBroker

extends AbstractRegistryBroker

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultRegistryBroker(MuleContext context)`

Method Summary
`void` | `addRegistry(long id, Registry registry)`
`protected Collection` | `getRegistries()`
`void` | `removeRegistry(long id)`

Methods inherited from class org.mule.registry.AbstractRegistryBroker
`dispose, getRegistryId, initialise, isReadOnly, isRemote, lookupObject, lookupObject, lookupObjects, registerObject, registerObject, registerObjects, unregisterObject, unregisterObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegistryBroker

    public DefaultRegistryBroker(MuleContext context)

Method Detail

### addRegistry

    public void addRegistry(long id,
                            Registry registry)

### removeRegistry

    public void removeRegistry(long id)

### getRegistries

    protected Collection getRegistries()

  Specified by:
    `getRegistries` in class `AbstractRegistryBroker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.